Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Interface StructDefOperations

All Superinterfaces:
  ContainedOperations, ContainerOperations, IDLTypeOperations, IRObjectOperations, TypedefDefOperations

All Known Subinterfaces:
  StructDef

All Known Implementing Classes:
  StructDefPOA

public interface StructDefOperations
extends TypedefDefOperations, ContainerOperations

A StructDef represents an OMG IDL structure definition.

Method Summary
`StructMember[]` | `members()` The members attribute contains a description of each structure member.
`void` | `members(StructMember[] value)` The members attribute contains a description of each structure member.

Methods inherited from interface org.omg.CORBA.ContainedOperations
`absolute_name, containing_repository, defined_in, describe, id, id, move, name, name, version, version`

Methods inherited from interface org.omg.CORBA.IRObjectOperations
`def_kind, destroy`

Methods inherited from interface org.omg.CORBA.IDLTypeOperations
`type`

Methods inherited from interface org.omg.CORBA.ContainerOperations
`contents, create_abstract_interface, create_alias, create_constant, create_enum, create_exception, create_interface, create_local_interface, create_module, create_native, create_struct, create_union, create_value_box, create_value, describe_contents, lookup_name, lookup`

Method Detail

### members

    public StructMember[] members()

  The members attribute contains a description of each structure member.

### members

    public void members(StructMember[] value)

  The members attribute contains a description of each structure member.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD